- entityDefinitions:
  - IDM_User__get__Current_User: '{1f4d8b0a-e062-46b2-97ec-0fd4e5720e65}'
  - IDMB_User__get__Current_User: '{e019824e-4174-4756-9d3b-e03dbc8e80cd}' # '{baaf7693-506d-449d-9b11-2663d48f6653}'
  - IDI_SystemInstanceSetRoutine_GetCurrentUser: '{9ee8edda-aa1b-4766-8c31-1331be5ffb41}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - systemInstanceSetRoutine: '&IDI_SystemInstanceSetRoutine_GetCurrentUser;'
    name: 'get current user'

  - getInstanceSetBySystemRoutineMethod: '&IDM_User__get__Current_User;'
    forClassId: '&IDC_User;'
    verb: 'get'
    name: 'Currently Logged-in User'
    static: yes
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    systemInstanceSetRoutineId: '&IDI_SystemInstanceSetRoutine_GetCurrentUser;'
    returnsWorkSetId: '&IDI_WorkSet_UserSingular;'

  - returnInstanceSetMethodBinding: '&IDMB_User__get__Current_User;'
    executesMethod: '&IDM_User__get__Current_User;'
